package it.integry.integrywmsnative.gest.prod_versamento_materiale.ui;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.gest.prod_versamento_materiale.dto.OrdineLavorazioneDTO;

public class ChooseOrdsLavFromListItemModel {

    private OrdineLavorazioneDTO ordineLav;
    private BindableBoolean hidden = new BindableBoolean(false);

    public OrdineLavorazioneDTO getOrdineLav() {
        return ordineLav;
    }

    public ChooseOrdsLavFromListItemModel setOrdineLav(OrdineLavorazioneDTO ordineLav) {
        this.ordineLav= ordineLav;
        return this;
    }

    public boolean isHidden() {
        return hidden.get();
    }

    public ChooseOrdsLavFromListItemModel setHidden(boolean hidden) {
        this.hidden.set(hidden);
        return this;
    }

    public BindableBoolean getHidden() {
        return hidden;
    }
}
